ASTSCRIPT-DS9-REGION(1)

NAME
astscript-ds9-region - Create an SAO DS9 region file from a table

SYNOPSIS
astscript-ds9-region [OPTION] FITS-files

DESCRIPTION
This script is part of GNU Astronomy Utilities 0.24.

This script will take two column names (or numbers) and return a "region file" (with one region over each entry) for easy inspection of catalog entries in this SAO DS9.

For more information, please run any of the following commands. In particular the first contains a very comprehensive explanation of this script's invocation: expected input(s), output(s), and a full description of all the options.

Inputs/Outputs and options:
    $ info astscript-ds9-region

Full Gnuastro manual/book:
    $ info gnuastro

If you couldn't find your answer in the manual, you can get direct help from experienced Gnuastro users and developers. For more information, please run:

    $ info help-gnuastro

  astscript-ds9-region options:

    Input:

-h, --hdu=STR
    HDU/extension of all input FITS files.

-c, --column=STR,STR
    Columns to use as coordinates (name or number).

-m, --mode=wcs|img
    Coordinates in WCS or image (default: wcs)

-n, --namecol=STR
    ID of each region (name or number of a column)

    Output:

-C, --color=STR
    Color for the regions (read by DS9).

-w, --width=INT
    Line thickness of the regions (in DS9).

-r, --radius=FLT
    Radius of each region (arcseconds if in WCS mode).

-s, --fontsize=INT
    Font size for name.

-D, --dontdelete
    Don't delete output if it exists.

-o, --output=STR
    Name of output file.

--command="STR"
    DS9 command to run after making region.

    Operating mode:

-?, --help
    Print this help list.

--cite
    BibTeX citation for this program.

-V, --version
    Print program version.

Mandatory or optional arguments to long options are also mandatory or optional for any corresponding short options.

GNU Astronomy Utilities home page: http://www.gnu.org/software/gnuastro/

REPORTING BUGS
Report bugs to bug-gnuastro@gnu.org.

COPYRIGHT
Copyright © 2015-2025 Free Software Foundation, Inc. License GPLv3+: GNU General public license version 3 or later.
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

Written/developed by Mohammad Akhlaghi

SEE ALSO
The full documentation for astscript-ds9-region is maintained as a Texinfo manual. If the info and astscript-ds9-region programs are properly installed at your site, the command

    info astscript-ds9-region

should give you access to the complete manual.